> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Bump Details

> Fetch detailed information of a bump by its `id`, which is part of the specified store, verified by `x-store-id`. Includes bump metadata and associated deliverables.



## OpenAPI

````yaml /api-reference/growth-api.json get /bumps/{id}
openapi: 3.0.0
info:
  title: Growth API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
paths:
  /bumps/{id}:
    get:
      tags:
        - Bumps
      summary: Retrieve Bump Details
      description: >-
        Fetch detailed information of a bump by its `id`, which is part of the
        specified store, verified by `x-store-id`. Includes bump metadata and
        associated deliverables.
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the bump.
          schema:
            type: string
      responses:
        '200':
          description: Bump details including associated deliverables.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BumpDetails'
      security:
        - storeIdHeader: []
components:
  schemas:
    BumpDetails:
      type: object
      properties:
        id:
          type: string
        store_id:
          type: string
        title:
          type: string
        description:
          type: string
        price:
          type: number
        badge_title:
          type: string
        badge_color:
          type: string
        sales:
          type: integer
        revenue:
          type: number
        created_at:
          type: string
          format: date-time
        deliverables:
          type: array
          items:
            type: object
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````